package com.graphhopper.routing.util.parsers;

import com.graphhopper.reader.ReaderWay;
import com.graphhopper.routing.ev.*;
import com.graphhopper.storage.IntsRef;

public class WWScoreParser implements TagParser {
    private final IntEncodedValue wwScoreEnc;

    public WWScoreParser(EncodedValueLookup lookup) {
        this(lookup.getIntEncodedValue(WWScore.KEY));
    }

    public WWScoreParser(IntEncodedValue wwScoreEnc) {
        this.wwScoreEnc = wwScoreEnc;
    }

    public void handleWayTags(int edgeId, EdgeIntAccess edgeIntAccess, ReaderWay readerWay, IntsRef relationFlags) {
        var calculatedScore = readerWay.getTag("ww_score");
        if (calculatedScore != null) {
            var value = Integer.parseInt(calculatedScore);
            if (calculatedScore != null)  {
                wwScoreEnc.setInt(false, edgeId, edgeIntAccess, value);
            }
        }
    }
}
